'________________________________
'VB 105 Project 2 Done
'11/6/08
'________________________________

Option Explicit On


Public Class frmMenu

    '---module level variables to track totals and counts
    Dim runningTotal As Decimal = 0
    Dim totalSale As Decimal = 0

    '---store totals for the manager
    Dim storeGrandTotal As Decimal = 0
    Dim storeNumItems As Integer = 0


#Region "New Order and clear everything"
    Private Sub btnNewOrder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNewOrder.Click

        '---reset for new customer
        runningTotal = 0

        lstOrder.Items.Clear()
        lstPrices.Items.Clear()
        lblSubTotal.Text = String.Empty
        lblTax.Text = ""
        lblTotal.Text = String.Empty
        txtTendered.Clear()
        lblChange.Text = ""
        btnPlaceOrder.Enabled = False
        btnDeleteItem.Enabled = False

        '---make sure group box is hidden
        grpManager.Visible = False

    End Sub

#End Region

#Region "Menu Buttons"

    Private Sub btnCombo1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo1.Click

        '---take combo1 descrip. & price and add to listboxes
        lstOrder.Items.Add(btnCombo1.Text)
        lstPrices.Items.Add("5.50")

        '---option 1
        runningTotal = runningTotal + CDec(5.5)
        '---option 2
        'runningTotal += Convert.ToDecimal(5.5)

        btnPlaceOrder.Enabled = True

    End Sub

    Private Sub btnCombo2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo2.Click
        '---take combo2 descrip. & price and add to listboxes
        lstOrder.Items.Add(btnCombo2.Text)
        lstPrices.Items.Add("3.50")

        '---option 1
        runningTotal = runningTotal + CDec(3.5)
        btnPlaceOrder.Enabled = True

    End Sub

    Private Sub btnCombo3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo3.Click
        '---take combo3 descrip. & price and add to listboxes
        lstOrder.Items.Add(btnCombo3.Text)
        lstPrices.Items.Add("3.25")
        runningTotal += Convert.ToDecimal(3.25)
        btnPlaceOrder.Enabled = True

    End Sub

#End Region



    Private Sub lstOrder_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstOrder.SelectedIndexChanged
        '---synchronize both list boxes
        lstPrices.SelectedIndex = lstOrder.SelectedIndex

        If lstOrder.Items.Count > 0 Then
            btnDeleteItem.Enabled = True
            btnPlaceOrder.Enabled = True
        Else
            btnDeleteItem.Enabled = False
            btnPlaceOrder.Enabled = False
        End If
    End Sub

    Private Sub btnDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDeleteItem.Click

        '---delete both lines in listboxes
        If lstOrder.SelectedIndex <> -1 Then
            '---deduct price from runningtotal
            runningTotal -= CDec(lstPrices.SelectedItem)

            '---now remove selected price then item
            lstPrices.Items.Remove(lstPrices.SelectedItem)
            lstOrder.Items.Remove(lstOrder.SelectedItem)
            lstOrder.SelectedIndex = -1
            lstPrices.SelectedIndex = -1
            btnDeleteItem.Enabled = False

        End If
    End Sub


    Private Sub btnPlaceOrder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPlaceOrder.Click

        Dim salesTax As Decimal = 0
        Dim taxRate As Decimal = 0.08

        '---make sure they bought something
        If runningTotal > 0 Then

            '---compute sales tax
            salesTax = runningTotal * taxRate

            '---compute total
            totalSale = runningTotal + salesTax

            '---display totals
            lblSubTotal.Text = FormatNumber(runningTotal.ToString)
            lblTax.Text = FormatNumber(salesTax.ToString)
            lblTotal.Text = FormatCurrency(totalSale.ToString)

            txtTendered.Focus()

        Else
            MessageBox.Show("Please buy something first!")

        End If
    End Sub

#Region "Amt Tendered & Cash back"
    Private Sub txtTendered_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtTendered.TextChanged
        If txtTendered.Text.Trim <> "" Then
            btnCash.Enabled = True
        Else
            btnCash.Enabled = False
        End If

    End Sub


    Private Sub btnCash_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCash.Click

        Dim changeDue As Decimal = 0
        Dim amtTendered As Decimal = CDec(txtTendered.Text.Trim)
        ' Dim amtTendered As Decimal = Convert.ToDecimal(txtTendered.Text.Trim)

        If amtTendered < totalSale Then
            MessageBox.Show("Customer owes more money.", _
            "Ron's Store", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)

        Else
            changeDue = amtTendered - totalSale
            lblChange.Text = FormatNumber(changeDue.ToString)
            txtTendered.Text = FormatNumber(txtTendered.Text)

            MessageBox.Show("Thanks for your order...", "Order Complete", _
                 MessageBoxButtons.OK, MessageBoxIcon.Information)

            '---no more for this customers
            btnPlaceOrder.Enabled = False
            btnCash.Enabled = False

            '---add sale to store totals
            'option 1
            'storeGrandTotal = storeGrandTotal + totalSale
            'option 2
            storeGrandTotal += totalSale
            storeNumItems += lstOrder.Items.Count

            '---show this stuff in grpManager group box
            lblManagerTotal.Text = FormatNumber(storeGrandTotal.ToString)
            lblManagerTotalItems.Text = storeNumItems.ToString


        End If
    End Sub


#End Region

    Private Sub DisplayTotalsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DisplayTotalsToolStripMenuItem.Click

        Dim passWord As String = "sellmore"

        If InputBox("Please enter password", "Manager Details Report") = passWord Then
            grpManager.Visible = True
        Else
            grpManager.Visible = False
        End If
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()

    End Sub
End Class
